# archive-fandom-wiki

This program archives the content of fandom wikis. It doesn't scrape from the fandom.com wiki sites directly; rather, it uses my [BreezeWiki](https://breezewiki.hyperreal.coffee) instance to avoid downloading unnecessary ads, images, and other junk.

Each resulting archive is self-contained, meaning one can extract the contents and browse the wiki snapshot locally (offline). The URLs for CSS, images, and links in each page are replaced by the relative `file:///` URLs for their corresponding pages on the local filesystem.

## Installation

Make sure Python and Pip are installed. Then run:

``` bash
git clone https://git.sr.ht/~hyperreal/archive-fandom-wiki
cd archive-fandom-wiki
python -m venv venv
source venv/bin/activate
pip install -r requirements.txt
```

## Usage

``` bash
archive-fandom-wiki dishonored
```

## Podman/Docker

There is also a Containerfile, also known as a Dockerfile.

``` bash
git clone https://git.sr.ht/~hyperreal/archive-fandom-wiki
cd archive-fandom-wiki
podman build -t localhost/archive-fandom-wiki:latest .

```

To run the container image:

``` bash
podman run --name archive-fandom-wiki --rm -v "${HOME}/archives:/output:Z" localhost/archive-fandom-wiki dishonored
```
